"""
@author: luojunhui
"""
from argparse import ArgumentParser

from coldStartTasks.publish import PublishVideosForAudit

pub = PublishVideosForAudit()


def main():
    """
    主函数
    :return:
    """
    parser = ArgumentParser()
    parser.add_argument("--run_task", type=str, help="run task, input publish or check")
    args = parser.parse_args()

    if args.run_task:
        task = args.run_task
        if task == "publish":
            pub.publish_job()
        elif task == "check":
            pub.check_job()
        else:
            print("run_task input ERROR，please input publish or check")
    else:
        pub.publish_job()
        pub.check_job()


if __name__ == '__main__':
    main()
